Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.window
Class PortletWindowListImpl

    java.lang.Object
      org.jasig.portal.container.om.window.PortletWindowListImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.Controller, org.apache.pluto.om.Model, org.apache.pluto.om.window.PortletWindowList, org.apache.pluto.om.window.PortletWindowListCtrl

    public class PortletWindowListImpl

extends java.lang.Object
implements org.apache.pluto.om.window.PortletWindowList, org.apache.pluto.om.window.PortletWindowListCtrl, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`(package private) java.util.Map` | `portletWindows`

Constructor Summary
`PortletWindowListImpl()`

Method Summary
`void` | `add(org.apache.pluto.om.window.PortletWindow window)`
`org.apache.pluto.om.window.PortletWindow` | `get(org.apache.pluto.om.common.ObjectID id)`
`java.util.Iterator` | `iterator()`
`void` | `remove(org.apache.pluto.om.common.ObjectID id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portletWindows

    java.util.Map portletWindows

Constructor Detail

### PortletWindowListImpl

    public PortletWindowListImpl()

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `org.apache.pluto.om.window.PortletWindowList`

### get

    public org.apache.pluto.om.window.PortletWindow get(org.apache.pluto.om.common.ObjectID id)

  Specified by:
    `get` in interface `org.apache.pluto.om.window.PortletWindowList`

### add

    public void add(org.apache.pluto.om.window.PortletWindow window)

  Specified by:
    `add` in interface `org.apache.pluto.om.window.PortletWindowListCtrl`

### remove

    public void remove(org.apache.pluto.om.common.ObjectID id)

  Specified by:
    `remove` in interface `org.apache.pluto.om.window.PortletWindowListCtrl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD